FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 04-15-2008, 01:20 AM
Alex Lancaster
 
Default Broken deps ( rawhide report: 20080414 changes)

>>>>> "KK" == Kevin Kofler writes:

>> evolution-brutus-1.1.28.7-2.fc8.i386 requires libcamel-1.2.so.10
KK> The build which should fix this failed due to strict-aliasing
KK> warnings which are being turned into errors with -Werror. Please
KK> rebuild with -fno-strict-aliasing.

I'm working on evolution-brutus right now:

https://bugzilla.redhat.com/show_bug.cgi?id=434008

The main remaining issue is that the package sets '-Werror' in the
CFLAGS. I'm working on removing it via redefining CFLAGS. It's
tricky because I'm trying to do without having to patch configure
which is a pain to do. Should (hopefully) be done soon.

I would commit my changes directly, but ACLs are locked down. I've
requested the maintainer (bpepple) remove ACLs but no response yet.
Also I have requested access. Could some other fedora-admin do so?

Once committed and rebuilt, I'll e-mail rel-eng to request the
f9-final tag.

Alex

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 04-15-2008, 01:31 AM
Alex Lancaster
 
Default Broken deps ( rawhide report: 20080414 changes)

>>>>> "AF" == Andrew Farris writes:

AF> Kevin Kofler wrote:
>>> mediawiki-openid-0.7.0-5.noarch requires php-pear-Auth-OpenID
>>> mediawiki-openid-0.7.0-5.noarch requires php-pear-Services-Yadis
>>
>> What's up with this one? If the deps can't be satisfied in time for
>> F9, I'd suggest blocking the package from f9-final, it can be
>> pushed as an update together with the dependencies once they are
>> there.

AF> I've noticed that one in broken deps for many months now, it does
AF> seem like its just not going to happen for f9?

This package should never have passed review because the Requires
packages, e.g. php-pear-Auth-OpenID:

https://bugzilla.redhat.com/show_bug.cgi?id=227190

hadn't also passed review. Noted here:

https://bugzilla.redhat.com/show_bug.cgi?id=218581#c26

+1 for blocking this package from f9-final until deps have passed
+review.

I also note that Axel has included this in his CVS request:

Cvsextras Commits: no (too many people in this group)

which doesn't seem like a very good reason to not allow cvsextras.

In general I think this is not a good practice because other
maintainers can't step and help fix a package as per:

http://fedoraproject.org/wiki/JesseKeating/PackageACLOpening

I think there needs to be a better reason that just "having too many
people". Open ACLs encourages maintainers to share some collective
responsibility for the distribution as a whole (e.g. broken deps are
bad, should be fixed ASAP by any maintainer).

Most maintainers are fairly responsible and it's easy to spot when
somebody changes something (since you get an e-mail), and it's easy to
revert. I never just change something willy-nilly, and always give
the primary maintainer time to respond, but sometimes when something
is time critical or causes broken deps it's appropriate to step in.
(I've opened my ACLs and I'm always grateful if somebody needs to fix
my packages if I'm unavailable to do so).

Alex

--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 04-15-2008, 01:42 AM
"Paul W. Frields"
 
Default Broken deps ( rawhide report: 20080414 changes)

On Mon, Apr 14, 2008 at 10:44:37AM -0700, Andrew Farris wrote:
> Kevin Kofler wrote:
>>> mediawiki-openid-0.7.0-5.noarch requires php-pear-Auth-OpenID
>>> mediawiki-openid-0.7.0-5.noarch requires php-pear-Services-Yadis
>>
>> What's up with this one? If the deps can't be satisfied in time for F9,
>> I'd suggest blocking the package from f9-final, it can be pushed as an
>> update together with the dependencies once they are there.
>
> I've noticed that one in broken deps for many months now, it does seem like
> its just not going to happen for f9?

Considering that we're migrating to MW and hope to use OpenID
(eventually) throughout our websites, would be nice to have this
fixed...

--
Paul W. Frields http://paul.frields.org/
gpg fingerprint: 3DA6 A0AC 6D58 FEC4 0233 5906 ACDB C937 BD11 3717
http://redhat.com/ - - - - http://pfrields.fedorapeople.org/
irc.freenode.net: stickster @ #fedora-docs, #fedora-devel, #fredlug
--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 
Old 04-15-2008, 01:51 AM
"Paul W. Frields"
 
Default Broken deps ( rawhide report: 20080414 changes)

On Mon, Apr 14, 2008 at 09:42:33PM -0400, Paul W. Frields wrote:
> Considering that we're migrating to MW and hope to use OpenID
> (eventually) throughout our websites, would be nice to have this
> fixed...

Please ignore this -- overtaken by events.

--
Paul W. Frields http://paul.frields.org/
gpg fingerprint: 3DA6 A0AC 6D58 FEC4 0233 5906 ACDB C937 BD11 3717
http://redhat.com/ - - - - http://pfrields.fedorapeople.org/
irc.freenode.net: stickster @ #fedora-docs, #fedora-devel, #fredlug
--
fedora-devel-list mailing list
fedora-devel-list@redhat.com
https://www.redhat.com/mailman/listinfo/fedora-devel-list
 

Thread Tools




All times are GMT. The time now is 05:49 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org